<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
include_once 'config.php';
$set['title']='Старт гонки'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
echo "<div style=\" background-color: #0b0f2e; color: #ffffff;\">";
if (isset($user))
{

$get_go = mt_rand(1, 5);
$get_go2 = mt_rand(1, 5);
$get_go3 = mt_rand(1, 5);

$get_bot = mt_rand(1321, 3123);
$get_bot2 = mt_rand(3275, 6143);
$get_bot3 = mt_rand(6345, 9145);




$game0 = "<center><img width=\"135\" height=\"56\" src=\"avto/0.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game1 = "<center><img width=\"135\" height=\"56\" src=\"avto/1.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game2 = "<center><img width=\"135\" height=\"56\" src=\"avto/2.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game3 = "<center><img width=\"135\" height=\"56\" src=\"avto/3.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game4 = "<center><img width=\"135\" height=\"56\" src=\"avto/4.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game5 = "<center><img width=\"135\" height=\"56\" src=\"avto/5.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";

$game00 = "<center><img width=\"135\" height=\"56\" src=\"avto/0.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot2</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot2\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game11 = "<center><img width=\"135\" height=\"56\" src=\"avto/1.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot2</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot2\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game22 = "<center><img width=\"135\" height=\"56\" src=\"avto/2.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot2</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot2\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game33 = "<center><img width=\"135\" height=\"56\" src=\"avto/3.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot2</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot2\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game44 = "<center><img width=\"135\" height=\"56\" src=\"avto/4.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot2</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot2\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game55 = "<center><img width=\"135\" height=\"56\" src=\"avto/5.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot2</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot2\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";

$game000 = "<center><img width=\"135\" height=\"56\" src=\"avto/0.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot3</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot3\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game111 = "<center><img width=\"135\" height=\"56\" src=\"avto/1.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot3</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot3\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game222 = "<center><img width=\"135\" height=\"56\" src=\"avto/2.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot3</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot3\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game333 = "<center><img width=\"135\" height=\"56\" src=\"avto/3.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot3</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot3\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game444 = "<center><img width=\"135\" height=\"56\" src=\"avto/4.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot3</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot3\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";
$game555 = "<center><img width=\"135\" height=\"56\" src=\"avto/5.png\" alt=\"\" /><br/><span style=\"background-color:#ffffff; color: #000000;\"><b>NUM</span><span style=\"background-color:#fafbba; color:#000000;\"> AA$get_bot3</b></span></br></br><a href=\"go.php?act=go&rand=$get_bot3\"><span style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:3px; border-color: #B8CAD8;border-style: solid;border-width: 1px 1px 1px 1px;border-radius: 4px 4px 4px 4px;-moz-border-radius: 1px 1px 1px 1px;\">Старт</span></a></br></center>";



if ($get_go==0){
$gonka = $game0;
}
if ($get_go==1){
$gonka = $game1;
}
if ($get_go==2){
$gonka = $game2;
}
if ($get_go==3){
$gonka = $game3;
}
if ($get_go==4){
$gonka = $game4;
}
if ($get_go==5){
$gonka = $game5;
}

if ($get_go2==0){
$gonka2 = $game00;
}
if ($get_go2==1){
$gonka2 = $game11;
}
if ($get_go2==2){
$gonka2 = $game22;
}
if ($get_go2==3){
$gonka2 = $game33;
}
if ($get_go2==4){
$gonka2 = $game44;
}
if ($get_go2==5){
$gonka2 = $game55;
}

if ($get_go3==0){
$gonka3 = $game000;
}
if ($get_go3==1){
$gonka3 = $game111;
}
if ($get_go3==2){
$gonka3 = $game222;
}
if ($get_go3==3){
$gonka3 = $game333;
}
if ($get_go3==4){
$gonka3 = $game444;
}
if ($get_go3==5){
$gonka3 = $game555;
}

if(isset($_GET['game']) && $_GET['game']=='over'){
$game_over = ($user['game_over'] = 0);
mysql_query("UPDATE `user` SET `game_over` = '" . $game_over . "' WHERE `id` = '$user[id]' LIMIT 1");
$game_over_rezult = ($user['game_over_rezult'] = 0);
mysql_query("UPDATE `user` SET `game_over_rezult` = '" . $game_over_rezult . "' WHERE `id` = '$user[id]' LIMIT 1");
$zaezd_rezult = ($user['zaezd_rezult'] = 0);
mysql_query("UPDATE `user` SET `zaezd_rezult` = '" . $zaezd_rezult . "' WHERE `id` = '$user[id]' LIMIT 1");


$itogo_rating = $user['winner_rating'];
$itogo_baks = $user['winner_baks'];
$itogo_power = $user['winner_power'];

$power_winner_c = ($user['cilynders_power'] - $itogo_power);
mysql_query("UPDATE `user` SET `cilynders_power` = '" . $power_winner_c . "' WHERE `id` = '$user[id]' LIMIT 1");
$rating_winner_c = ($user['cilynders_rating'] + $itogo_rating);
mysql_query("UPDATE `user` SET `cilynders_rating` = '" . $rating_winner_c . "' WHERE `id` = '$user[id]' LIMIT 1");
$rating_winner_null = ($user['winner_rating'] = 0);
mysql_query("UPDATE `user` SET `winner_rating` = '" . $rating_winner_null . "' WHERE `id` = '$user[id]' LIMIT 1");
$rating_winner_null = ($user['winner_power'] = 0);
mysql_query("UPDATE `user` SET `winner_power` = '" . $rating_winner_null . "' WHERE `id` = '$user[id]' LIMIT 1");
$baks_winner_c = ($user['cilynders_baks'] + $itogo_baks);
mysql_query("UPDATE `user` SET `cilynders_baks` = '" . $baks_winner_c . "' WHERE `id` = '$user[id]' LIMIT 1");
$baks_winner_null = ($user['winner_baks'] = 0);
mysql_query("UPDATE `user` SET `winner_baks` = '" . $baks_winner_null . "' WHERE `id` = '$user[id]' LIMIT 1");


}



echo "<div style=\"float:left; padding-right: 4px;\"><img src=\"img/girl.gif\" alt=\"\" /></div>
 - <b>$user[nick]</b>, ";

 if (isset($user) & $user['avto']<100){
if (isset($user) & $user['cilynders_fuel']<=8)
{

if ($user['pol']==0){
echo " у тебя осталось мало бензина, поэтому ты не можешь учавствовать в заезде, езжай на заправку\n";
echo "<div style=\"display:block; padding:4px; background:url(img/hr.png) repeat-x scroll 0 0 #504F6E;\"></div>";
}
else
{
echo " у тебя мало бензина, поэтому ты не можешь учавствовать в заезде, езжай на заправку \n";
}
echo "- Для участия в заезде, тебе необходимо иметь <b>8</b> литров в баке, как заправишься приезжай еще.<br/>

";
echo "<div style=\"display:block; padding:4px; background:url(img/hr.png) repeat-x scroll 0 0 #504F6E;\"></div>";
}else{

echo "Выбери противника себе по зубам и обгони его, чем выше у противника рейтинг, тем сложнее его победить.</br>
- Но ты не отчаивайся, я верю что именно Ты победишь!
- Чтобы начать гонку, жми СТАРТ...";echo "<div style=\"display:block; padding:4px; background:url(img/hr.png) repeat-x scroll 0 0 #504F6E;\"></div>";}
echo "<div style=\"background-color:#2f2e58;\"><center><img src=\"img/races.gif\" alt=\"\" /></center></div>";
echo "<div style=\"display:block; padding:4px; background:url(img/hr.png) repeat-x scroll 0 0 #504F6E;\"></div>";
echo "<center>
<img src=\"img/ready.gif\" alt=\"\" /></center><div class=\"hr\"></div>";
echo "<div style=\"display:block; padding:4px; background:url(img/hr.png) repeat-x scroll 0 0 #504F6E;\"></div>";


echo "$gonka<hr>";
echo "$gonka2<hr>";
echo "$gonka3";


echo "<div style=\"display:block; padding:4px; background:url(img/hr.png) repeat-x scroll 0 0 #504F6E;\"></div>";



}else{
echo "для участия в гонке тебе необходимо купить тачку, это можно сделать в автосалоне.</br> - Как купишь тачку, добро пожаловать в гонку <font color=\"#f1e022\">Speed Of Race</font><br/> ";

echo "<div style=\"display:block; padding:4px; background:url(img/hr.png) repeat-x scroll 0 0 #504F6E;\"></div>";
echo "<a href=\"salon.php\"><div style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:0px;\"><img width=\"24\" height=\"24\" src=\"img/salon.gif\"  alt=\"\" /> Автосалон</div></a>";
echo "<div class=\"hr\"></div>";
}


echo "<a href=\"index.php\"><div style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:1px;\"><img width=\"24\" height=\"24\" src=\"img/cityss.gif\"  alt=\"\" /> Город</div></a>";

echo "<div class=\"hr\"></div>";
echo "<a href=\"profil.php\"><div style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:1px;\"><img width=\"24\" height=\"24\" src=\"img/profiles.gif\"  alt=\"\" /> Профиль</div></a>";


echo "<div class=\"hr\"></div>";
echo "<a href=\"garage.php\"><div style=\"background-image: url('img/menu.png');color:#ffffff;font-size:16px; padding-left: 4px; padding:1px;\"><img width=\"24\" height=\"24\" src=\"img/garages.gif\"  alt=\"\" /> В гараж</div></a>";


}else{
echo "<div style=\" background-color: #0b0f2e; color: #ffffff;\">";
echo "<div style=\"float:left; padding-right: 4px;\"><img src=\"img/girl.gif\" alt=\"\" /></div>
 - Приветствую тебя Гость,
добро пожаловать в захватывающию онлайн игру <b>Speed Of Race</b>.</br>В игре тебя ждет захватывающая гонка, в которой ты можешь заработать денег, 
и стать лидером среди участников гонки!</br>
 - Гость, я вижу 
 что ты еще не зарегистрироан, пройди <a href=\"/reg.php\">регистрацию</a> на этом сайте, и тогда тебе будет доступна игра <b>Speed Of Race</b>!.";

}
echo "</div>";
echo "</div><center><div class=\"foot\">© <a href=\"http://mydcms.ru\">Speed of Race</a></div></center>";
include_once '../sys/inc/tfoot.php';
?>
